=== modified file 'bzrlib/transport/__init__.py'
--- bzrlib/transport/__init__.py	2011-08-12 15:34:53 +0000
+++ bzrlib/transport/__init__.py	2011-08-28 15:33:21 +0000
@@ -322,7 +322,7 @@
             if e.errno in (errno.ENOENT, errno.ENOTDIR):
                 raise errors.NoSuchFile(path, extra=e)
             elif e.errno == errno.EINVAL:
-                mutter("EINVAL returned on path %s: %s" % (path, e))
+                mutter("EINVAL returned on path %s: %r" % (path, e))
                 raise errors.NoSuchFile(path, extra=e)
             # I would rather use errno.EFOO, but there doesn't seem to be
             # any matching for 267

=== modified file 'doc/en/release-notes/bzr-2.4.txt'
--- doc/en/release-notes/bzr-2.4.txt	2011-08-25 10:33:14 +0000
+++ doc/en/release-notes/bzr-2.4.txt	2011-08-28 15:33:21 +0000
@@ -40,6 +40,9 @@
 
 * Fix i18n use when no environment variables are set. (Jelmer Vernooij, #810701)
 
+* Avoid UnicodeDecode error when reporting EINVAL from transports.
+  (IWATA Hidetaka, #829237)
+
 Documentation
 *************
 

